<?php
session_start();
function generateSessionName() {
    $randomString = bin2hex(random_bytes(5)); // 10 characters long random string
    $uniqueId = uniqid();  // Generate a unique ID based on microtime
    return $randomString . $uniqueId;
}

if ($_GET['act']='set') {
	$_SESSION[$_POST['sess_name']] = $_POST['data'];
} else {
	unset($_POST['session_name']);
}

